.woocommerce-notices-wrapper {
	max-width: 1340px;
    /* padding: 50px 20px 0 20px; */
    margin: 0 auto;
}

.single-product .woocommerce-notices-wrapper {
	padding: 32px 20px 0 20px;
}

.single-product .woocommerce-notices-wrapper .woocommerce-message {
	padding: 24px 14px 12px 67px;
	line-height: 23px;
}

.single-product .woocommerce-notices-wrapper .woocommerce-message::before {
	color: var( --e-global-color-accent );
}

.single-product .woocommerce-error::before, 
.single-product .woocommerce-info::before, 
.single-product .woocommerce-message::before {
	top: 23px;
}

.single-product .warehouse-stock-table THEAD TR TH:nth-child(1) {
	text-align: left;
	border: none;
}

.single-product .warehouse-stock-table THEAD TR TH:nth-child(2) {
	text-align: right;
	border: none;
}

.single-product .warehouse-stock-table TBODY TR TD {
	padding: 8px 20px;
}

.single-product .warehouse-stock-table TBODY TR TD:first-of-type {
	text-align: left;
	border: none;
	border-top-left-radius: 32px;
	border-bottom-left-radius: 32px;
}

.single-product .warehouse-stock-table TBODY TR TD:last-of-type {
	text-align: right;
	border: none;
	border-top-right-radius: 32px;
	border-bottom-right-radius: 32px;
}

.single-product .warehouse-stock-table TBODY TR TD.warehouse-stock.order {
	position: relative;
	padding-right: 36px;
}

.single-product .warehouse-stock-table TBODY TR TD.warehouse-stock.order:after {
	content: "";
	position: absolute;
	right: 16px;
	top: 12px;
	width: 12px;
	height: 12px;
	border-radius: 32px;
	background-color: var( --e-global-color-accent );
}

.single-product .warehouse-stock-table TBODY TR TD.warehouse-stock.in-stock {
	position: relative;
	padding-right: 36px;
}

.single-product .warehouse-stock-table TBODY TR TD.warehouse-stock.in-stock:after {
	content: "";
	position: absolute;
	right: 16px;
	top: 12px;
	width: 12px;
	height: 12px;
	border-radius: 32px;
	background-color: #0AAF68;
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
	z-index: 1;
}

.woocommerce-notices-wrapper .woocommerce-error, 
.woocommerce-notices-wrapper .woocommerce-info, 
.woocommerce-notices-wrapper .woocommerce-message {
	margin-bottom: 0px;
	padding-right: 21px;
	padding-top: 0;
	padding-bottom: 0;
	padding-left: 0;
	border-top-color: #000000;
	border: 1px solid #000;
	border-radius: 46px;
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif!important;
	color: #000000;
}

.woocommerce .woocommerce-error .button, 
.woocommerce .woocommerce-info .button, 
.woocommerce .woocommerce-message .button, 
.woocommerce-page .woocommerce-error .button, 
.woocommerce-page .woocommerce-info .button, 
.woocommerce-page .woocommerce-message .button {
	padding: 16px 32px;
	background-color: #000000;
	color: #FFFFFF;
	border-radius: 32px;
	font-weight: 700;
	transition: all .3s ease;
	margin-top: -13px;
}

.woocommerce .woocommerce-error .button:hover, 
.woocommerce .woocommerce-info .button:hover, 
.woocommerce .woocommerce-message .button:hover, 
.woocommerce-page .woocommerce-error .button:hover, 
.woocommerce-page .woocommerce-info .button:hover, 
.woocommerce-page .woocommerce-message .button:hover {
	background-color: var( --e-global-color-accent );
	color: #FFFFFF;
	font-weight: 700;
	font-size: 16px;
	transition: all .3s ease;
}

.woocommerce .woocommerce-error LI, 
.woocommerce .woocommerce-info LI, 
.woocommerce .woocommerce-message LI, 
.woocommerce-page .woocommerce-error LI, 
.woocommerce-page .woocommerce-info LI, 
.woocommerce-page .woocommerce-message LI {
	padding: 29px 0 26px 72px!important;
	color: #000000;
}

.woocommerce-error::before, 
.woocommerce-info::before, 
.woocommerce-message::before {
	font-size: 23px;
}

@media screen and (max-width: 1024px) {
	.woocommerce .woocommerce-error LI, 
	.woocommerce .woocommerce-info LI, 
	.woocommerce .woocommerce-message LI, 
	.woocommerce-page .woocommerce-error LI, 
	.woocommerce-page .woocommerce-info LI, 
	.woocommerce-page .woocommerce-message LI {
		display: block;
		flex-direction: column;
	}

	.woocommerce .woocommerce-error LI A, 
	.woocommerce .woocommerce-info LI A, 
	.woocommerce .woocommerce-message LI A, 
	.woocommerce-page .woocommerce-error LI A, 
	.woocommerce-page .woocommerce-info LI A, 
	.woocommerce-page .woocommerce-message LI A {
		float: left!important;
		width: auto!important;
		max-width: auto!important;
		margin-top: 8px!important;
		margin-bottom: 18px;
	}
}

/* Side cart */
.widget_shopping_cart_content .elementor-menu-cart__footer-buttons {
	display: flex;
	flex-direction: column;
}

.widget_shopping_cart_content .elementor-menu-cart__product-name A {
	font-size: 16px;
}

.widget_shopping_cart_content .elementor-menu-cart__subtotal {
	text-align: unset;
	display: flex;
	justify-content: space-between;
}

.widget_shopping_cart_content .elementor-menu-cart__footer-buttons A {
	background-color: #000000;
	border-radius: 32px;
}

.widget_shopping_cart_content .elementor-menu-cart__footer-buttons A:hover {
	background-color: var( --e-global-color-accent );
}

.widget_shopping_cart_content .elementor-menu-cart__footer-buttons A SPAN {
	font-weight: 700;
	font-size: 16px;
}


/* Cart */
#nd-cart .woocommerce-notices-wrapper .woocommerce-message {
	padding: 19px 14px 17px 67px;
	margin-bottom: 32px;
	font-family: var(--e-global-typography-a0c380a-font-family) "Montserrat", Sans-serif;
}

#nd-cart .woocommerce-notices-wrapper .woocommerce-message::before {
	top: 13px;
}

#nd-cart .e-shop-table.e-cart-section {
	border: unset;
	padding: 0;
	font-family: var(--e-global-typography-a0c380a-font-family) "Montserrat", Sans-serif;
}

#nd-cart .e-shop-table.e-cart-section THEAD {
	display: none;
}

#nd-cart .e-shop-table.e-cart-section .woocommerce-cart-form__cart-item {
	border: 1px solid #DCDCDC;
	margin-bottom: 20px;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item {
  display: grid;
  grid-template-columns: 220px 320px 1fr auto;
  align-items: flex-start;
  gap: 10px;
  padding: 20px;
  border-bottom: 1px solid #eee;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .product-dimensions {
	color: #707070;
	font-size: 16px;
	font-family: var(--e-global-typography-0b317a2-font-family), Sans-serif;
	margin-top: 20px;
}

#nd-cart .e-shop-table.e-cart-section TBODY TR TD.actions {
	justify-content: flex-end;
}

#nd-cart .e-shop-table.e-cart-section TBODY TR TD.actions BUTTON {
	border: none;
	padding: 0 12px;
	color: #000000;
	opacity: 1;
	font-weight: 600;
	font-size: 16px;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	height: 100%;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-remove,
#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-price,
#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-quantity,
#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-subtotal {
	justify-content: flex-end;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-remove {
	order: 0;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-price {
	order: 1;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-quantity {
	order: 2;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-remove {
	color: #000000;
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-remove:hover {
	color: var( --e-global-color-accent );
}

#nd-cart .e-shop-table.e-cart-section tr.cart_item .nd-wrapper-actions .product-price SPAN {
	font-family: var(--e-global-typography-0b317a2-font-family), Sans-serif;
    font-size: 26px;
    font-weight: 700;
    line-height: var(--e-global-typography-0b317a2-line-height);
	padding-top: 40px;
	padding-bottom: 20px;
} 

#nd-cart .e-shop-table.e-cart-section td {
  border: none;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

#nd-cart .e-shop-table.e-cart-section td.product-thumbnail {
	width: 200px;
}

#nd-cart .e-shop-table.e-cart-section td.product-thumbnail img {
  width: 200px;
  height: auto;
  border-radius: 4px;
}

#nd-cart .e-shop-table.e-cart-section td.product-name {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	padding-top: 18px;
}

#nd-cart .e-shop-table.e-cart-section td.product-name a {
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
	font-size: var(--e-global-typography-a0c380a-font-size);
	font-weight: 600;
	line-height: var(--e-global-typography-a0c380a-line-height);
	color: var(--e-global-color-primary);
	text-decoration: none;
}

#nd-cart .e-shop-table.e-cart-section td.product-name .nd-product-size {
	padding-top: 24px;
	padding-bottom: 2px;
	color: #707070;
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
	font-size: 16px;
}

#nd-cart .e-shop-table.e-cart-section td.product-name .nd-product-season {
	color: #707070;
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
	font-size: 16px;
}

#nd-cart .e-shop-table.e-cart-section td.product-price,
#nd-cart .e-shop-table.e-cart-section td.product-subtotal {
	font-size: 18px;
	font-weight: 700;
	color: #000;
}

#nd-cart .e-shop-table.e-cart-section td.product-quantity .custom-qty {
  display: flex;
  align-items: center;
  justify-content: center;
}

#nd-cart .e-shop-table.e-cart-section td.product-quantity .custom-qty button {
  background: none;
  border: 1px solid #000;
  border-radius: 0;
  cursor: pointer;
  color: #000;
}

#nd-cart .e-shop-table.e-cart-section td.product-quantity .custom-qty button:hover {
	background-color: #000000;
	color: #FFFFFF;
}

#nd-cart .e-shop-table.e-cart-section td.product-quantity .custom-qty button.minus {
	border-top-left-radius: 32px;
    border-bottom-left-radius: 32px;
    padding: 19px 18px 19px 24px;
	font-size: 18px;
	font-weight: 700;
}

#nd-cart .e-shop-table.e-cart-section td.product-quantity .custom-qty button.plus {
	border-top-right-radius: 32px;
	border-bottom-right-radius: 32px;
	padding: 19px 24px 19px 18px;
	font-size: 18px;
	font-weight: 700;
}

#nd-cart .e-shop-table.e-cart-section td.product-quantity .custom-qty input {
	width: 82px;
	min-height: 59px;
	max-height: 59px;
	text-align: center;
	font-size: 16px;
	font-weight: 700;
	padding: 6px 6px 6px 18px;
	border: 1px solid #000000;
	border-left: unset;
	border-right: unset;
	border-radius: 0;
}

#nd-cart .e-cart-totals .wc-proceed-to-checkout A {
	padding: 20px 52px;
	background-color: var(--e-global-color-primary);
	color: #FFFFFF;
	border-radius: 32px;
	transition: background-color .3s ease;
}

#nd-cart .e-cart-totals .wc-proceed-to-checkout A:hover {
	background-color: var( --e-global-color-accent );
}

#nd-cart .e-cart__container {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-start {
	width: 100%;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end {
	width: 100%;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .nd-cart-info {
	float: left;
	width: 60%;
	font-size: 14px;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .nd-cart-info .cart-info--title {
	margin-bottom: 10px;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .nd-cart-info .cart-info--title STRONG {
	font-size: 16px;
	font-weight: 600;
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .nd-cart-info .cart-info--devlivery {
	font-size: 14px;
	margin-bottom: 0;
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
	color: #707070;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .nd-cart-info .cart-info--bottom {
	color: var( --e-global-color-accent );
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .nd-cart-info .cart-info--delivery {
	font-size: 14px;
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
	color: #707070;
	margin-bottom: 0;
	padding-bottom: 4px;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .nd-cart-info .cart-info--delivery--bottom {
	font-size: 14px;
	margin-top: 12px;
	font-family: var(--e-global-typography-a0c380a-font-family), Sans-serif;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .shop_table.shop_table_responsive,
#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .wc-proceed-to-checkout {
	border-radius: 0;
	padding-top: 0;
	float: right;
	width: 40%;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .shop_table.shop_table_responsive TBODY {
	display: flex;
	flex-direction: column-reverse;
	align-items: flex-end;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .shop_table.shop_table_responsive TBODY TR.tax-rate {
	opacity: 0.5;
	font-family: var(--e-global-typography-accent-font-family), Sans-serif;
	font-size: 16px;
	font-weight: 400;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .shop_table.shop_table_responsive TBODY TR.tax-rate TD {
	padding-top: 0;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .shop_table.shop_table_responsive TBODY TR.tax-rate TD:before {
	font-weight: 400;
	padding-right: 10px;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .shop_table.shop_table_responsive TBODY TR.tax-rate TD SPAN {
	font-weight: 400;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .e-cart-totals.e-cart-section {
	padding: 0;
	border: unset;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end TABLE TBODY TR.cart-subtotal {
	display: none;
}


#nd-cart .e-cart__container .e-cart__column.e-cart__column-end TABLE TBODY TR.order-total {
	font-family: var(--e-global-typography-0b317a2-font-family), Sans-serif;
    font-size: 26px;
    font-weight: 700;
    line-height: var(--e-global-typography-0b317a2-line-height);
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end TABLE TBODY TR.order-total > TD {
	display: flex;
	justify-content: flex-end;
	padding-top: 0;
	padding-bottom: 0;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end TABLE TBODY TR.order-total > TD > STRONG {
	padding-left: 10px;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .cart_totals table.shop_table td:before {
	color: #000;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .cart_totals table.shop_table td .woocommerce-Price-amount {
	color: #000;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .e-cart-totals.e-cart-section .cart-collaterals .shipping {
	display: none;
}

#nd-cart .e-cart__container .e-cart__column.e-cart__column-end .e-cart-totals.e-cart-section .cart-collaterals .cart_totals > H2 {
	display: none;
}

/* Archive pages */
.archive .woocommerce-result-count-wrapper {
	display: flex;
	justify-content: space-between;
	color: #707070;
}

.archive.term-rehvid .woocommerce-result-count-wrapper {
	position: absolute;
	right: 0;
}

.archive.term-rehvid .woocommerce-result-count-wrapper .showing-products {
	display: none;
}

